PCP-UPTIME(1)

NAME
pcp-uptime - tell how long the system has been running

SYNOPSIS
pcp [pcp options] uptime [-V?]

DESCRIPTION
pcp-uptime gives a one line display of the following information. The current time, how long the system has been running, how many users are currently logged on, and the system load averages for the past 1, 5, and 15 minutes.

When invoked via the pcp(1) command, the -h/ --host, -a/ --archive, -O/ --origin, -Z/ --timezone and several other pcp options become indirectly available.

OPTIONS
The available command line options are:

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

When replaying from an archive using the -a option, the required information may not be available at the default starting time, in which case the reported values will be ``?''. In this case, use the -S or -O options to move the starting time into a point in the archive where the required information is available.

NOTES
pcp-uptime is inspired by the uptime(1) command and aims to be command line and output compatible with it.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), uptime(1) and environ(7).